Help Center
Choose product document...
Veeam Backup & Replication 9.5
Veeam Agent Management Guide

Supported Applications

You can use Veeam Agent for Microsoft Windows operating in the managed mode to create transactionally consistent backups of servers running applications that support Microsoft VSS. System requirements for VSS-aware processing are listed in the following table.

Specification

Requirement

Microsoft Active Directory Domain Controllers

The following versions of Microsoft Active Directory Domain Services servers (domain controllers) are supported:

  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2 SP1

Minimum supported domain and forest functional level is Windows 2003.

Microsoft Exchange

The following versions of Microsoft Exchange are supported:

  • Microsoft Exchange 2016
  • Microsoft Exchange 2013 SP1
  • Microsoft Exchange 2013
  • Microsoft Exchange 2010 SP1, SP2, or SP3

Microsoft SharePoint

The following versions of Microsoft SharePoint are supported:

  • Microsoft SharePoint 2016
  • Microsoft SharePoint 2013
  • Microsoft SharePoint 2010

All editions are supported (Foundation, Standard, Enterprise).

Microsoft SQL Server

The following versions of Microsoft SQL Server are supported:

  • Microsoft SQL Server 2017
  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2008 R2
  • Microsoft SQL Server 2008
  • Microsoft SQL Server 2005 SP4

All editions of Microsoft SQL Server except LocalDB are supported.

Oracle

Oracle Database 11g and 12c are supported for the following operating systems (32-bit and 64-bit architecture):

  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2 SP1

Important notes:

  • Automatic Storage Management (ASM) is not supported.
  • Oracle Real Application Clusters (RAC) are not supported.
  • Oracle servers using Data Guard are not supported.
  • Oracle Database Express Edition is supported.
  • Current version does not support creating transactionally-consistent backups of a standby database in case you are using Oracle Active Data Guard; only crash-consistent backups can be created in this case. However, a primary database can be backed up in a transactionally-consistent way.
  • Configurations with different versions of Oracle Database deployed on the same server are not supported.
  • 32-bit Oracle running on 64-bit operating systems is not supported.

 

Veeam Large Logo

User Guide for VMware vSphere

User Guide for Microsoft Hyper-V

Enterprise Manager User Guide

Veeam Cloud Connect Guide

Veeam Agent Management Guide

Veeam Backup Explorers User Guide

PowerShell Reference

RESTful API Reference

Veeam Backup FREE Edition User Guide

Veeam Backup for Microsoft Office 365

Veeam ONE Documentation

Veeam Agent for Windows Documentation

Veeam Agent for Linux Documentation

Veeam Management Pack Documentation